---
title: 'ARIA: Complementary role'
slug: Web/Accessibility/ARIA/Roles/Complementary_role
tags:
  - ARIA
  - ARIA Role
  - Reference
  - role-complementary
---
<div>{{Page("/en-US/docs/Web/Accessibility/ARIA/Roles", "Subnav")}}</div>

<p><span class="seoSummary">The <code>complementary</code> <a href="/en-US/docs/Web/Accessibility/ARIA/ARIA_Techniques#Landmark_roles">landmark role</a> is used to designate a supporting section that relates to the main content, yet can stand alone when separated. These sections are frequently presented as sidebars or call-out boxes. If possible, use the <a href="/en-US/docs/Web/HTML/Element/aside">HTML &lt;aside&gt; element</a> instead.</span></p>

<pre class="brush: html">&lt;div role="complementary"&gt;
  &lt;h2&gt;Our partners&lt;/h2&gt;
  &lt;!-- complementary section content --&gt;
&lt;/div&gt;
</pre>

<p>This is a sidebar containing links to event sponsors.</p>

<h2 id="Description">Description</h2>

<p>The <code>complementary</code> role is <a href="/en-US/docs/Web/Accessibility/ARIA/ARIA_Techniques#Landmark_roles">a landmark</a> role. Landmarks can be used by assistive technology to quickly identify and navigate to large sections of the document. Content listed within a container with the <code>complementary</code> landmark role should make sense if separated from the main content of the document.</p>

<div class="note">
<p>Using the <a href="/en-US/docs/Web/HTML/Element/aside"><code>&lt;aside&gt;</code> element</a> will automatically communicate a section has a role of <code>complementary</code>. Developers should always prefer using the correct semantic HTML element over using ARIA.</p>
</div>

<h2 id="Examples">Examples</h2>

<pre class="brush: html">&lt;div role="complementary"&gt;
  &lt;h2&gt;Trending articles&lt;/h2&gt;
  &lt;ul&gt;
     &lt;li&gt;&lt;a href="#"&gt;18 tweets that will make you feel all the feels&lt;/a&gt;&lt;/li&gt;
     &lt;li&gt;&lt;a href="#"&gt;Stop searching for the perfect lunch containers because I've found them&lt;/a&gt;&lt;/li&gt;
     &lt;li&gt;&lt;a href="#"&gt;The time has come to finally decide what we should be calling these foods&lt;/a&gt;&lt;/li&gt;
     &lt;li&gt;&lt;a href="#"&gt;17 really good posts we saw on Tumblr this week&lt;/a&gt;&lt;/li&gt;
     &lt;li&gt;&lt;a href="#"&gt;10 parent hacks we know work because we tried them&lt;/a&gt;&lt;/li&gt;
   &lt;/ul&gt;
 &lt;/div&gt;
</pre>

<h2 id="Accessibility_concerns">Accessibility concerns</h2>

<p><a href="/en-US/docs/Web/Accessibility/ARIA/ARIA_Techniques#Landmark_roles">Landmark roles</a> are intended to be used sparingly, to identify larger overall sections of the document. Using too many landmark roles can create "noise" in screen readers, making it difficult to understand the overall layout of the page.</p>

<h2 id="Best_practices">Best practices</h2>

<h3 id="Prefer_HTML">Prefer HTML</h3>

<p>Using the <a href="/en-US/docs/Web/HTML/Element/aside"><code>&lt;aside&gt;</code> element</a> will automatically communicate a section has a role of <code>complementary</code>. If at all possible, prefer using it instead.</p>

<h3 id="Labeling_landmarks">Labeling landmarks</h3>

<h4 id="Multiple_landmarks">Multiple landmarks</h4>

<p>If there is more than one <code>complementary</code> landmark role or <a href="/en-US/docs/Web/HTML/Element/aside"><code>&lt;aside&gt;</code> element</a> in a document, provide a label for each landmark using the <code>aria-label</code> attribute, or, if the aside has an appropriately descriptive title, point to it with the <code>aria-labelledby</code> attribute. This label will allow an assistive technology user to be able to quickly understand the purpose of each landmark.</p>

<pre class="brush: html">&lt;aside aria-label="Note about usage"&gt;
  &lt;!-- content --&gt;
&lt;/aside&gt;

...

&lt;aside id="sidebar" aria-label="Sponsors"&gt;
  &lt;!-- content --&gt;
&lt;/aside&gt;
</pre>

<h4 id="Redundant_descriptions">Redundant descriptions</h4>

<p>Screen readers will announce the type of role the landmark is. Because of this, you do not need to describe what the landmark is in its label. For example, a declaration of <code>role="complementary"</code> with an of <code>aria-label="Sidebar"</code> may be announced redundantly as, "complementary sidebar".</p>

<h3 id="Added_benefits">Added benefits</h3>

<p>Certain technologies such as browser extensions can generate lists of all landmark roles present on a page, allowing non-screen reader users to also quickly identify and navigate to large sections of the document.</p>

<ul>
 <li><a href="/en-US/docs/">Landmarks browser extension</a></li>
</ul>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
  </tr>
  <tr>
   <td>{{SpecName("ARIA","#complementary","ARIA: Complementary role")}}</td>
   <td>{{Spec2('ARIA')}}</td>
  </tr>
  <tr>
   <td>{{SpecName("ARIA Authoring Practices","#aria_lh_complementary","Complementary landmark role")}}</td>
   <td>{{Spec2('ARIA Authoring Practices')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Screen_reader_support">Screen reader support</h2>

<p>TBD</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/HTML/Element/aside">&lt;aside&gt;: The Aside element</a></li>
 <li><a href="https://www.w3.org/TR/wai-aria/#complementary">complementary (role): Accessible Rich Internet Applications (WAI-ARIA) 1.1</a></li>
 <li><a href="/en-US/docs/Web/Guide/HTML/Using_HTML_sections_and_outlines">Using HTML sections and outlines</a></li>
 <li><a href="/en-US/docs/Web/Accessibility/ARIA/ARIA_Techniques#Landmark_roles">Landmark roles: Using ARIA: Roles, States, and Properties</a></li>
 <li><a href="https://developer.paciellogroup.com/blog/2013/02/using-wai-aria-landmarks-2013/">Using WAI-ARIA Landmarks – 2013 | The Paciello Group</a></li>
 <li><a href="https://www.scottohara.me/blog/2018/03/03/landmarks.html">Accessible Landmarks | scottohara.me</a></li>
 <li><a href="http://html5doctor.com/aside-revisited/">Aside Revisited | HTML5 Doctor</a></li>
</ul>
